﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>
    </ProductVersion>
    <SchemaVersion>
    </SchemaVersion>
    <ProjectTypeGuids>{01074E5A-9000-460e-AB81-3A9263818D40};{A1591282-1198-4647-A2B1-27E5FF5F6F3B};{F184B08F-C81C-45F6-A57F-5ABD9991F28F}</ProjectTypeGuids>
    <ProjectGuid>{5D8FD427-D8C1-41F9-8BC6-11D302DE93F3}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>
    </RootNamespace>
    <AssemblyName>Application.Common</AssemblyName>
    <TargetFrameworkVersion>v5.0</TargetFrameworkVersion>
    <SilverlightVersion>$(TargetFrameworkVersion)</SilverlightVersion>
    <LightSwitchVersion>v2.0</LightSwitchVersion>
    <TargetFrameworkIdentifier>Silverlight</TargetFrameworkIdentifier>
    <SilverlightApplication>true</SilverlightApplication>
    <SupportedCultures>$supported_culture$</SupportedCultures>
    <XapOutputs>false</XapOutputs>
    <LightSwitchProjectType>Common</LightSwitchProjectType>
    <OptionExplicit>On</OptionExplicit>
    <OptionCompare>Binary</OptionCompare>
    <OptionStrict>Off</OptionStrict>
    <OptionInfer>On</OptionInfer>
    <LightSwitchPath Condition=" '$(LightSwitchPath)' == '' ">$(Registry:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\VisualStudio\11.0@InstallDir)</LightSwitchPath>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <DefineDebug>true</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <NoStdLib>true</NoStdLib>
    <NoConfig>true</NoConfig>
    <MyType>Empty</MyType>
    <OutputPath>bin\</OutputPath>
    <DocumentationFile>PropertyCentral.Common.xml</DocumentationFile>
    <NoWarn>42016,41999,42017,42018,42019,42032,42036,42020,42021,42022</NoWarn>
    <DefineConstants>SILVERLIGHT=1</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <DefineDebug>false</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <NoStdLib>true</NoStdLib>
    <NoConfig>true</NoConfig>
    <Optimize>true</Optimize>
    <OutputPath>bin\</OutputPath>
    <DocumentationFile>PropertyCentral.Common.xml</DocumentationFile>
    <NoWarn>42016,41999,42017,42018,42019,42032,42036,42020,42021,42022</NoWarn>
    <DefineConstants>SILVERLIGHT=1</DefineConstants>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="mscorlib" />
    <Reference Include="system" />
    <Reference Include="System.ComponentModel.Composition" />
    <Reference Include="System.Core" />
  </ItemGroup>
  <ItemGroup>
    <Import Include="Microsoft.VisualBasic" />
    <Import Include="System" />
    <Import Include="System.Collections.Generic" />
    <Import Include="System.Linq" />
    <Import Include="System.Text" />
    <Import Include="Microsoft.LightSwitch" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Microsoft.LightSwitch, Version=10.0.11.0, Culture=neutral, PublicKeyToken=8e9329cecb4700e9, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(LightSwitchPath)\LightSwitch\Client\Microsoft.LightSwitch.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="My Project\AssemblyInfo.vb" />
    <Compile Include="UserCode\Bank.vb" />
    <Compile Include="UserCode\EmailSetting.vb" />
    <Compile Include="UserCode\ExpenseDetail.vb" />
    <Compile Include="UserCode\InvoiceDetail.vb" />
    <Compile Include="UserCode\InvoiceHeader.vb" />
    <Compile Include="UserCode\PropertyDetailHouse.vb" />
    <Compile Include="UserCode\PropertyDetailLand.vb" />
    <Compile Include="UserCode\PropertyDetailOffice.vb" />
    <Compile Include="UserCode\TenantDetail.vb" />
    <Compile Include="UserCode\TenantHeader.vb" />
    <Compile Include="UserCode\TenantPayment.vb" />
  </ItemGroup>
  <ItemGroup>
    <LightSwitchModel Include="My Project\Common.lsml">
      <ProjectCritical>true</ProjectCritical>
    </LightSwitchModel>
  </ItemGroup>
  <ItemGroup>
    <ServiceMetadataReference Include="..\Server\Server.vbproj">
      <Visible>false</Visible>
    </ServiceMetadataReference>
  </ItemGroup>
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\Silverlight\$(SilverlightVersion)\Microsoft.Silverlight.VisualBasic.targets" />
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\LightSwitch\$(LightSwitchVersion)\Microsoft.LightSwitch.Build.Tasks.targets" />
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{A1591282-1198-4647-A2B1-27E5FF5F6F3B}">
        <SilverlightProjectProperties />
      </FlavorProperties>
      <FlavorProperties GUID="{01074E5A-9000-460e-AB81-3A9263818D40}" Configuration="Debug|Any CPU">
        <SpecializedConfiguration />
      </FlavorProperties>
      <FlavorProperties GUID="{01074E5A-9000-460e-AB81-3A9263818D40}" Configuration="Release|Any CPU">
        <SpecializedConfiguration />
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
</Project>